import React from 'react';
import PropTypes from 'prop-types';
import { List } from 'antd';

const PandaList = (props) => {
  return <List {...props} />;
};

PandaList.defaultProps = {
  bordered: false,
  className: 'panda-list',
  dataSource: [],
  footer: <div className="panda-list-footer" />,
  grid: undefined,
  header: <div className="panda-list-header" />,
  itemLayout: undefined,
  loading: false,
  loadMore: undefined,
  locale: { emptyText: '暂无数据' },
  pagination: false,
  renderItem: (item, index) => <List.Item key={index}>{item}</List.Item>,
  size: 'default',
  split: false,
};

PandaList.propTypes = {
  bordered: PropTypes.bool, // 是否显示边框
  className: PropTypes.string, // 类名称
  dataSource: PropTypes.array, // 列表数据源
  footer: PropTypes.element, // 列表尾部
  grid: PropTypes.object, // 列表栅格配置
  header: PropTypes.element, // 列表头部
  itemLayout: PropTypes.string, // 	设置 List.Item 布局, 设置成 vertical 则竖直样式显示, 默认横排
  loading: PropTypes.oneOfType([PropTypes.bool, PropTypes.object]), // 当卡片内容还在加载中时，可以用 loading 展示一个占位
  loadMore: PropTypes.element, // 加载更多
  locale: PropTypes.object, // 默认文案设置，目前包括空数据文案
  pagination: PropTypes.object, // 对应的 pagination 配置, 设置 false 不显示
  renderItem: PropTypes.func, // 列表元素展示钩子
  size: PropTypes.oneOf(['small', 'default', 'large']), // 	list 的尺寸
  split: PropTypes.bool, // 	是否展示分割线
};

PandaList.Item = List.Item;
PandaList.Item.Meta = List.Item.Meta;

export default PandaList;
